// FButton is copyright Seth Flaxman (seth@abisoft.com)
// Check the file LICENSE for more information
// (version 1.1)

#include "FButton.h"
#include <stdio.h>

FButton::FButton(BRect frame,
		const char *name,
		const char *label, 
		BMessage *message,
		uint32 resizeMask = B_FOLLOW_LEFT | B_FOLLOW_TOP, 
		uint32 flags = B_WILL_DRAW | B_NAVIGABLE) : BButton(frame,
			name, label, message, resizeMask, flags | B_FRAME_EVENTS)
{
}

void FButton::AttachedToWindow()
{
	if(Parent() != NULL)
		fLowColor = Parent()->ViewColor();
	else
		fLowColor.red = fLowColor.green = fLowColor.blue = 255;
	
	SetLowColor(fLowColor);
	SetViewColor(B_TRANSPARENT_COLOR);
}

void FButton::Draw(BRect r)
{
	SetLowColor(fLowColor);
	StrokeRect(Bounds(), B_SOLID_LOW);
	BButton::Draw(r);
}

void FButton::MouseDown(BPoint pt)
{
	BButton::MouseDown(pt);
}

void FButton::FrameResized(float width, float height)
{
	BButton::Draw(BRect(0,0,width,height));
	BButton::FrameResized(width, height);
}